@import url('./module-fonts.css');
@import url('./module-navigation-menu.css');
@import url('./module-search-forms.css');
@import url('./module-radial-contacts.css');
@import url('./module-qbpopups.css');
@import url('./module-ninjaforms-custom.css');
@import url('./module-swiper847-custom.css');


/* ОБЩЕЕ - структура */
:root {
    --font-lato: 'Lato', tahoma, arial;
    --font-ptsans: 'PTSans', tahoma, arial;
    --font-sfpro: 'SFProDisplay', tahoma, arial;
}
::placeholder {
    font-family: var(--font-sfpro);
    color: #5a6983;
}
html, body {
    font-family: var(--font-ptsans);
    color: #1e2329;
}
main {
    flex-grow: 1;
}
section {
    position: relative;
    scroll-margin: 3.5rem;
}
.site_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    min-width: 1366px;  /* 1366px 85.375rem */
    min-height: 100%;
    overflow: hidden;
}
.container {
    width: 100%;
    max-width: 1366px;  /* 1366px 85.375rem */
    margin: 0 auto;
    padding: 2rem 4.75rem;
}
.fullwidth_container {
    width: 100%;
    max-width: 100%;  /* 1920px 120rem */
    padding-left: 0;
    padding-right: 0;
}


/* ОБЩЕЕ - дополнительные */
.white_section {
    background-color: #fff;
}
.gray_section {
    background-color: #fafafa;
}
.gray_section + .gray_section .container,
.white_section + .white_section .container {
    padding-top: 0;
}
.gray_section+.gray_section .container,
.white_section+.white_section .container,
body.primary_page main > section:first-child .container {
    padding-top: 0;
}
.section_title {
    margin-bottom: 2rem;
    text-align: left;
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 3.25rem;
}
.section_title > * {
    text-align: inherit;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    font-weight: inherit;
    letter-spacing: inherit;
}

body.desktop .no_desktop,
body.mobile .no_mobile {
    display: none;
}


/* ОБЩЕЕ - элементы */
a {
    color: #0c5bd1;
}
a:hover, a:focus {
    text-shadow: 0 0 0 currentColor;
}
a.obfusc_email {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}
a.obfusc_email::before {
    content: attr(data-part_1) '@';
}
a.obfusc_email::after {
    content: attr(data-part_2) '.' attr(data-part_3);
}
img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    object-position: center;
}
button {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 10.5rem;
    height: 2.5rem;
    border: none;
    border-radius: 0.25rem;
    font-family: var(--font-sfpro);
    font-size: 1rem;
    line-height: 1.5em;
    font-weight: 400;
    color: #1e2329;
    transition: all 0.2s ease;
}
button:not(:has(> *)),
button > * {
    gap: 0.375em;
    padding: 0 1rem;
}
button:hover {
    filter: brightness(110%);
}
button > * {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: inherit;
}


/* ОБЩЕЕ - элементы текущей темы */
.phone {
    font-family: var(--font-lato);
    font-size: 1.5rem;
    font-weight: 700;
}
.phone a {
    text-decoration: none;
}
button.callback_request:not(:has(> *))::before,
button.callback_request > *::before {
    content: url('../img/icons/icon-phone-small.png');
    flex-shrink: 0;
}
button.blue_button {
    background-color: #0c5bd1;
    color: #fff;
}
button.blue_button::before,
button.blue_button > *::before {
    filter: saturate(0) brightness(0) invert(1);
}
button.white_button {
    background-color: #fff;
    color: #0c5bd1;
}
span.dot_replace {
    display: inline-block;
    height: 2em;
    padding-left: 1px;
    padding-right: 1px;
    transform: translateY(1px);
    font-size: 0.5em;
}

conts-title {
    display: inline;
    font-family: var(--font-ptsans);
    font-size: 1.125rem;
    font-weight: 700;
    color: #0c5bd1;
}
conts-note {
    display: inline;
    font-family: var(--font-ptsans);
    font-size: 0.875rem;
    line-height: 1em;
    font-weight: 400;
}


/* ОБЩЕЕ - элементы текстовых секций */
.text_content {
    display: flow-root;
    font-size: 1rem;
    line-height: 1.25em;
    font-weight: 400;
}
.text_content * {
    margin-bottom: 1em;
    line-height: 1.25em;
}
.text_content :is(h1, h2, h3, h4) {
    margin-bottom: 0.25em;
    padding-top: 0.25em;
    font-weight: 700;
}
.text_content h1 {
    font-size: 2.5em;
}
.text_content h2 {
    font-size: 2em;
}
.text_content h3 {
    font-size: 1.5em;
}
.text_content h4 {
    font-size: 1.25em;
}
.text_content a:hover {
    text-shadow: 0 0 0 currentColor;
}
.text_content ul > li,
.text_content ol > li {
    margin-bottom: 0.5em;
}
.text_content ul {
    --items-mark-size: 0.375rem;
    --items-line-height: 1.25em;  /* указывать в "em", не применяется напрямую, используется для расчёта положения метки */
    list-style-type: none;
}
.text_content ul > li {
    position: relative;
    padding-left: calc(var(--items-mark-size) + 0.5em);
}
.text_content ul > li::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(calc(var(--items-line-height) * 0.5 - 50% + 1px));
    width: var(--items-mark-size);
    height: var(--items-mark-size);
    border-radius: 50%;
    background-color: #0c5bd1;
}
.text_content ol {
    padding-left: 1em;
}
.text_content ol > li::marker {
    font-weight: 700;
    color: #0c5bd1;
}
.text_content li > p {
    margin-bottom: 0.5em;
}
.text_content table {
    width: 100%;
    padding-top: 0.5em;
    border-collapse: collapse;
    overflow: auto;
}
body.mobile .text_content :is(table, tbody) {
    display: block;
}
.text_content :is(tr, th, td) {
    margin: 0;
}
.text_content :is(th, td) {
    padding: 0.25em 0.5em;
    border: 1px solid #1e2329;
    text-align: center;
}
.text_content table td:first-child {
    text-align: left;
}
.text_content hr {
    margin-bottom: 1.5em;
    padding-top: 0.5em;
    border-bottom: 0.125em solid #0c5bd1;
}
.text_content iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
}
.text_content > *:first-child {
    margin-top: 0;
    padding-top: 0;
}
.text_content *:last-child,
body.desktop .text_content :has(+ *.no_desktop:last-child),
body.mobile .text_content :has(+ *.no_mobile:last-child) {
    margin-bottom: 0;
    padding-bottom: 0;
}


/* ХЕДЕР */
.header_bar_section {
    --section-height: 5rem;  /* 12.5rem с лого, 5rem без лого */
    height: var(--section-height);
    min-height: fit-content;
    background-color: #fafafa;
}
.header_bar_wrapper {
    background-color: #fafafa;
}
body.sticky_header .header_bar_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 11;
    width: 100%;
}
body.scrolled.sticky_header .header_bar_wrapper {
    box-shadow: 0 0 4px #ccc;
}
.header_bar_container {
    padding-top: 0;
    padding-bottom: 0;
}
.header_bar_layout {
    display: grid;
    grid-template-columns: 40% 20% 40%;
    align-items: center;
    width: 100%;
}

.header_menu ul.wp_menu {
    --mainlinks-font-size: 0.875rem;
    --mainlinks-line-height: 1.25em;
    --mainlinks-color: #1e2329;
    --mainlinks-current-color: #1e2329;
    column-gap: 2rem;
    font-family: var(--font-ptsans);
}

.header_logo {
    position: relative;
    font-size: 0;
}
.header_logo img {
    width: 100%;
    height: var(--section-height);
    object-fit: contain;
    transition: all 0.3s ease;
}
body.scrolled.sticky_header .header_logo img {
    height: 4rem;
}
.header_logo a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
}
.header_logo .simplyfied_logo {
    padding: 1rem 0;
}
body.scrolled.sticky_header .header_logo .simplyfied_logo {
    padding: 0.25rem 0;
}
.header_logo .shadowed_logo {
    padding-bottom: 1rem;
}
body.scrolled.sticky_header .header_logo .shadowed_logo {
    padding-bottom: 0.25rem;
}
.header_logo .shadowed_logo_bottom {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    opacity: 0;
}
.header_logo:hover .shadowed_logo_bottom {
    opacity: 1;
}

.header_contacts {
    justify-self: flex-end;
    display: flex;
    align-items: center;
    padding: 0.5rem 0;
}
.header_phones {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
}
.header_phone {
    margin-right: 1.5rem;
    transition: all 0.3s ease;
}
.header_phone:hover {
    transform: scale(1.05);
}
.header_phone a {
    color: #5a6983;
}


/* ФУТЕР */
footer {
    border-bottom: 8px solid #0c5bd1;
    background-color: #020914;
}

.footer_top_layout {
    display: flex;
    align-items: flex-start;
    gap: 3.5rem;
}
.footer_top_left {
    flex-grow: 1;
}
.footer_logo {
    position: relative;
    width: max-content;
    height: 3.25rem;
}
.footer_logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.footer_logo a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
}
.footer_left_text {
    font-size: 1rem;
    line-height: 1.75rem;
    color: #8c97ac;
}
.footer_left_text a {
    color: #fff;
    opacity: 0.5;
}
.footer_top_right {
    display: flex;
    align-items: flex-start;
    gap: 3.5rem;
}
.footer_right_text {
    font-size: 1rem;
    line-height: 1.75rem;
    color: #fff;
}
.footer_right_text a {
    color: #fff;
    opacity: 0.5;
}
.footer_top_right conts-note {
    font-size: 1rem;
    color: #fff;
    opacity: 0.5;
}
.footer_phones {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 0.5rem;
}
.footer_phone {
    display: flex;
    flex-direction: column;
}
.footer_phone a {
    color: #fff;
}
.footer_email {
    margin-top: 0.5rem;
    text-align: center;
    font-family: var(--font-lato);
    line-height: 1.8rem;
}
.footer_email a {
    justify-content: center;
    text-decoration: none;
    color: #fff;
}

.footer_bottom_container {
    padding-top: 0;
    padding-bottom: 0;
}
.footer_bottom_layout {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    border-top: 1px solid #313d55;
}
.footer_copyright {
    font-size: 0.813rem;
    line-height: 1.75rem;
    letter-spacing: 0.5px;
    color: #8c97ac;
}
.footer_regions_menu ul.wp_menu {
    --mainlinks-font-size: 0.813rem;
    --mainlinks-line-height: 1.75rem;
    --mainlinks-color: #8c97ac;
    --mainlinks-current-color: #fff;
    column-gap: 2rem;
    text-transform: uppercase;
    font-family: var(--font-ptsans);
}

/* редиальное меню контактов */
.radial_contacts li.radial_menu_email img {
    translate: 0 3px;
}

/* СЕО-меню */
.seomenu_container {
    padding-top: 1rem;
    padding-bottom: 0;
}
.seomenu ul.wp_menu {
    --mainlinks-font-size: 0.875rem;
    --mainlinks-line-height: 1.25rem;
    --mainlinks-color: #8c97ac;
    --mainlinks-current-color: #fff;
    justify-content: center;
    column-gap: 2rem;
    font-family: var(--font-ptsans);
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - хлебные крошки */
.breadcrumbs_container {
    padding-top: 1.5rem;
}
.breadcrumbs_layout {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
    font-size: 1rem;
}
.breadcrumbs_separator {
    width: 0;
    height: 0;
    border-top: 4px solid transparent;
    border-left: 8px solid #1e2329;
    border-bottom: 4px solid transparent;
}
.breadcrumbs_link {
    color: #1e2329;
}
.breadcrumbs_link a {
    color: #0c5bd1;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - общие элементы */
h1.page_title {
    margin-bottom: 1.25rem;
    padding-top: 0;
    text-align: left;
    font-size: 2.5em;
}
h1.page_title_hidden {
    position: absolute;
    left: -200%;
    z-index: -1;
    height: 0;
    opacity: 0.01;
}
img.page_image {
    float: right;
    width: 30%;
    height: auto;
    margin-left: 3%;
    margin-bottom: 3%;
    transition: all 0.3s ease;
}
img.page_image:hover {
    box-shadow: 0 0 6px #0c5bd1;
}

.page_content_columns {
    display: flex;
    gap: 1rem;
}
.page_content_columns > * {
    margin: 0;
}
.page_content_side_column {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 30%;
}
.page_content_left_column {
    padding-right: 1rem;
    border-right: 0.125rem solid #0c5bd1;
}
.page_content_right_column {
    padding-left: 1rem;
    border-left: 0.125rem solid #0c5bd1;
}
.page_content_side_column img.page_image {
    float: none;
    width: 100%;
    object-fit: scale-down;
    margin: 0;
    padding: 0;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - страницы записей */
/* общие стили всех типов списков родственных записей */
.sibling_posts {
    margin-top: 2rem;
}
.sibling_posts .sibling_posts_title {
    margin-bottom: 0.5rem;
    font-weight: 600;
}
.sibling_posts_droplist ul {
    margin-bottom: 0;
}
.sibling_posts .sibling_posts_more {
    display: grid;
    grid-template-rows: 1fr;
    margin-top: 0.5rem;
    font-weight: 600;
    color: #0c5bd1;
    cursor: pointer;
    transition: all 0.3s ease;
}
.sibling_posts .sibling_posts_more.hidden {
    grid-template-rows: 0fr;
    margin: 0;
    padding-top: 0;
    padding-bottom: 0;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
.sibling_posts .sibling_posts_more > span {
    position: relative;
    z-index: 1;
    overflow: hidden;
}
/* собственные стили типов списков родственных записей */
.sibling_posts_droplist ul {
    height: 0;
    overflow: hidden;
}
.sibling_posts_droplist.inited ul {
    transition: all 0.3s ease;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - страница ошибки 404 */
.page_404_layout p {
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
}
.page_404_layout span {
    text-align: center;
    font-size: 1.5rem;
    font-weight: normal;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - страницы категорий */
/* общие стили всех типов списков дочерних записей */
.category_posts_layout {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.category_posts ul.posts_list {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    list-style-type: none;
}
.category_posts div.post_description {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.category_posts div.post_info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    margin-top: auto;
    font-style: italic;
    color: #5a6983;
}
.category_posts_filter input {
    width: 100%;
    padding: 0.5rem 0.75rem;
    border: 1px solid #1e2329;
    border-radius: 4px;
    font-size: 1rem;
}
.category_pagination .nav-links {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
.category_pagination .nav-links > * {
    padding: 0.125rem 0.5rem;
    border-radius: 0.25rem;
}
.category_pagination .nav-links > a {
    box-shadow: 0 0 5px #ccc;
    transition: all 0.3s ease;
}
.category_pagination .nav-links > a:hover {
    box-shadow: 0 0 5px #0c5bd1;
}
/* собственные стили типов списков дочерних записей */
.category_posts_simple ul.posts_list {
    --items-mark-size: 0.375rem;
    --items-line-height: 1.25em;  /* указывать в "em", не применяется напрямую, используется для расчёта положения метки */
    gap: 0.75em;
}
.category_posts_simple li.post_simple {
    position: relative;
    padding-left: calc(var(--items-mark-size) + 0.5em);
}
.category_posts_simple li.post_simple::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(calc(var(--items-line-height) * 0.5 - 50% + 2px));
    width: var(--items-mark-size);
    height: var(--items-mark-size);
    border-radius: 50%;
    background-color: #0c5bd1;
}
.category_posts_extended li.post_extended {
    display: flex;
    position: relative;
    height: 10rem;
    border-radius: 0.25rem;
    box-shadow: 0 0 4px #1e2329;
    transition: all 0.2s ease;
    overflow: hidden;
}
.category_posts_extended li.post_extended:hover {
    box-shadow: 0 0 10px #0c5bd1;
}
.category_posts_extended img.post_image {
    aspect-ratio: 1/1;
    height: 100%;
}
.category_posts_extended span.post_title {
    font-size: 1.25em;
    font-weight: 700;
}
.category_posts_extended div.post_description {
    padding: 1rem;
}
.category_posts_extended a.post_link {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
}
.category_posts_tiles ul.posts_list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.category_posts_tiles li.post_tiles {
    border-radius: 0.25rem;
    box-shadow: 0 0 4px #1e2329;
    transition: all 0.2s ease;
}
.category_posts_tiles li.post_tiles:hover {
    box-shadow: 0 0 10px #0c5bd1;
}
.category_posts_tiles li.post_tiles:first-child {
    grid-row: span 2;
    grid-column: span 2;
}
.category_posts_tiles div.post_item_wrapper {
    aspect-ratio: 1/1;
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
}
.category_posts_tiles img.post_image {
    aspect-ratio: 2 / 1;
    position: relative;
    z-index: 1;
}
.category_posts_tiles div.post_description {
    padding: 1rem 1rem 0;
}
.category_posts_tiles div.post_item_wrapper:has(> img) div.post_description {
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
    background-color: #fff;
    transition: all 0.2s ease;
}
.category_posts_tiles li.post_tiles:first-child div.post_description {
    position: static;
    height: auto;
}
.category_posts_tiles li.post_tiles:hover div.post_description {
    top: 0;
}
.category_posts_tiles span.post_title {
    font-size: 1.125em;
    font-weight: 700;
}
.category_posts_tiles div.post_info {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 3;
    width: 100%;
    padding: 1rem;
    background-color: #fff;
}
.category_posts_tiles a.post_link {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 4;
    width: 100%;
    height: 100%;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - элементы страницы "Услуги и цены" */
.pricepage_service {
    --icon-size: 2rem;
}
.pricepage_service_heading {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    margin-bottom: 1rem;
}
.pricepage_service_icon {
    flex-shrink: 0;
    width: var(--icon-size);
    height: var(--icon-size);
    font-size: 0;
}
.pricepage_service_icon img {
    width: 100%;
    height: 100%;
    transition: all 0.2s ease;
}
.pricepage_service:hover .pricepage_service_icon img {
    transform: scale(1.3);
}
.pricepage_service_title > * {
    font-size: 1.75rem;
    line-height: var(--icon-size);
    font-weight: 400;
}
.pricepage_service_description {
    padding-left: calc(var(--icon-size) + 1rem);
}
.pricepage_service_text  {
    margin-bottom: 1rem;
}
.pricepage_service_bottom {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
.pricepage_service_price {
    font-size: 1.25rem;
}


/* СТРАНИЦЫ, ЗАПИСИ, КАТЕГОРИИ - элементы страницы "Контакты" */
.contacts_data {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 1rem;
}
.contacts_items {
    margin-bottom: 0;
}
.contacts_items:last-child {
    margin-bottom: 0.25rem;
}
.contacts_item_container {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 0.25rem;
}
.contacts_item_container:last-child {
    margin-bottom: 0;
}
.contacts_item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}
.contacts_item a {
    font-size: 1.125rem;
    font-weight: 800;
    color: #0c5bd1;
}
.contacts_icon {
    flex-shrink: 0;
    width: 1.5rem;
    padding: 4px 6px 0px 0px;
}
.location_map_container {
    width: 100%;
    max-width: 100%;
    padding: 0;
}
.location_map {
    font-size: 0;
}


/* ТИТУЛЬНЫЙ СЛАЙДЕР - секция */
.mainslider {
    --slide-full-height: 35.5rem;
    --background-bottom-padding: 4.875rem;
}
.mainslider_background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    padding-bottom: var(--background-bottom-padding);
    background-clip: content-box;
}
.mainslide.swiper-slide {
    padding-bottom: var(--background-bottom-padding);
}
.mainslide_content_container {
    padding-top: 0;
    padding-bottom: 0;
}
.mainslide_content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    position: relative;
    min-height: calc(var(--slide-full-height) - var(--background-bottom-padding));
    padding-bottom: 1rem;
}
.mainslide_background {
    position: absolute;
    top: 0;
    bottom: calc(-1 * var(--background-bottom-padding));
    right: 0;
    z-index: -1;
    width: 62%;  /* 47rem; */
}
.mainslide_background img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
    object-position: right;
}
.mainslide_title {
    line-height: 1.5em;
    font-size: 3rem;
    font-weight: 700;
}
.mainslide_title h1 {
    display: inline;
    line-height: inherit;
    font-size: inherit;
    font-weight: inherit;
}
.mainslide_text_top {
    font-size: 1.125rem;
    line-height: 1.75em;
}
.mainslide_text_bottom {
    width: 30rem;
    max-width: 100%;
}

.mainslide_form_container {
    width: 30rem;
}
.mainslide_form_container .nf-form-content {
    display: grid !important;
    grid-template-areas:
        '. .'
        'nf-agreement nf-agreement';
    grid-template-columns: 50% auto !important;
    grid-column-gap: 1.5rem !important;
    grid-row-gap: 1rem !important;
    align-items: flex-start !important;
}
.mainslide_form_container .html-container:has(.form_user_agreement) {
    grid-area: nf-agreement;
}

.mainslider .swiper-pagination.swiper-pagination-bullets {
    display: flex;
    justify-content: flex-start;
    position: absolute;
    bottom:  var(--background-bottom-padding);
    left: 50%;
    transform: translate(-50%, 100%);
    margin-top: 0;
    padding-top: 0;
    padding-bottom: 0;
}
.mainslider .swiper-pagination-bullet {
    padding: 0.5rem 0.25rem;
}
.mainslider .swiper-pagination-bullet div {
    width: 2.125rem;
    height: 0.325rem;
    border-radius: 10px;
    background-color: #e2e4e8;
}
.mainslider .swiper-pagination-bullet-active div {
    background-color: #258AFF;
}

body.secondary_page .mainslider {
    --slide-full-height: 24.75rem;
    --background-bottom-padding: 3.25rem;
}
body.secondary_page .mainslide_content {
    gap: 1rem;
}
body.secondary_page .mainslide_title {
    font-size: 2.5rem;
    line-height: 1.25em;
}
body.secondary_page .mainslide_text_top {
    line-height: 1.75rem;
}


/* ПРЕИМУЩЕСТВА - секция */
.advantages_items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}
.advantages_item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    position: relative;
    padding: 1rem 2rem;
    border-radius: 0.25rem;
    overflow: hidden;
    cursor: pointer;
}
.advantages_item::before {
    content: '';
    position: absolute;
    bottom: 101%;
    right: 101%;
    z-index: 0;
    width: 200%;
    height: 200%;
    border-radius: 50%;
    background-color: #0c5bd1;
    transition: all 0.5s ease;
}
.advantages_item:hover::before {
    bottom: -50%;
    right: -50%;
}
.advantages_item > * {
    position: relative;
    z-index: 1;
    line-height: 1.25em;
    transition: all 0.5s ease;
}
.advantages_item:hover > * {
    color: #fff;
}
.advantages_item b,
.advantages_item strong {
    margin-bottom: 0.5rem;
    font-size: 2.5rem;
    font-weight: 700;
    color: #0c5bd1;
    transition: all 0.5s ease;
}


/* УСЛУГИ - секция */
.services_text {
    margin-bottom: 2rem;
    font-size: 1.25rem;
    line-height: 1.625rem;
}
.services_items {
    display: grid;
    grid-template-columns: repeat(var(--grid-columns), 1fr);
    grid-gap: 0.125rem;
}
.service_item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 1.5rem;
    padding: 0.75rem;
    border-radius: 0.25rem;
    transition: all 0.3s ease;
}
.service_item:hover {
    box-shadow: 0 0 6px #0c5bd1;
}
.service_item_heading {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 1rem;
}
.service_item_icon {
    flex-shrink: 0;
    padding: 1rem;
    background-color: #f7f8fa;
}
.service_item_icon img {
    width: 4rem;
    height: 4rem;
    transition: all 0.3s ease;
}
.service_item:hover .service_item_icon img {
    transform: scale(1.3);
}
.service_item_title > * {
    font-size: 1.5rem;
    line-height: 1.875rem;
    font-weight: 400;
}
.service_item_text {
    font-size: 1.125rem;
    line-height: 1.8rem;
}
.service_item_text i {
    padding-top: 1rem;
    font-size: 1rem;
}
.service_item_bottom {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    margin-top: auto;
}
.service_item_price {
    font-size: 1.25rem;
}
.service_item_price span {
    font-size: 1.25rem;
    line-height: 1.625rem;
}


/* РАСЧЁТ СТОИМОСТИ - секция */
.calcform_form_container .nf-form-content {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr) !important;
    grid-template-areas:
        '. . .'
        '. . .'
        'nf-agreement nf-agreement nf-submit';
    grid-row-gap: 2rem !important;
    grid-column-gap: 1rem !important;
    align-items: flex-start !important;
}
.calcform_form_container .submit-container {
    grid-area: nf-submit;
}
.calcform_form_container .html-container:has(.form_user_agreement) {
    grid-area: nf-agreement;
}


/* ПОРТФОЛИО ПРОДВИЖЕНИЯ - секция */
.portfseo_text {
    margin-bottom: 3.5rem;
    font-size: 1.25rem;
    line-height: 1.625rem;
}
.portfseo_link {
    margin-top: 0.5rem;
    font-size: 1.25rem;
    line-height: 1.625rem;
    font-style: italic;
}

/* ПОРТФОЛИО ПРОДВИЖЕНИЯ - элементы слайдера проектов */
.portfseo_slide.swiper-slide {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}
.portfseo_info {
    display: flex;
    align-items: flex-start;
    gap: 1rem;
}
.portfseo_img {
    flex-shrink: 0;
    position: relative;
}
.portfseo_img img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.portfseo_info_elems {
    display: grid;
    grid-template-columns: min-content auto;
    column-gap: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.375em;
}
.portfseo_info_elem_data {
    font-weight: 700;
}
.portfseo_chart_container {
    height: 11.875rem;
    margin-top: auto;
}
.portfseo_chart_container canvas {
    font-family: var(--font-ptsans);
}

/* ПОРТФОЛИО ПРОДВИЖЕНИЯ - широкая версия - секция и элементы слайдера проектов */
.portfseo_wide_slider {
    padding-top: 2rem;
    padding-bottom: 2rem;
}
.portfseo_wide_slide {
    display: grid;
    grid-template-columns: repeat(2, 50%);
    height: 31rem;
    background-color: #fff;
}
.portfseo_wide_slide .portfseo_img img {
    width: 100%;
    height: 100%;
}
.portfseo_wide_slide .portfseo_info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.portfseo_wide_slide .portfseo_info_elems {
    margin: 0 auto;
    font-size: 1.25rem;
}
.portfseo_wide_slide .portfseo_chart_container {
    flex-basis: 100%;
    width: 100%;
}
.portfseo_wide_slider .swiper-pagination.swiper-pagination-bullets {
    margin-top: 1.75rem;
}
.portfseo_wide_slider .swiper-pagination-bullet-active.iconed_bullet {
    box-shadow: 0 0 8px #0c5bd1;
}
.portfseo_wide_slider .swiper-pagination-bullet.iconed_bullet img {
    width: 8rem;
    height: 8rem;
    padding: 1rem;
}


/* ОТЗЫВЫ КЛИЕНТОВ - общее */
.gratletters_title {
    margin-bottom: 0;
}
.gratletters_link {
    font-size: 1.25rem;
    line-height: 1.625rem;
    font-style: italic;
}
.gratletters_link:not(:has(*)) {
    display: none;
}

.gratletters_slider .swiper {
    padding: 3.125rem 1rem;
}
.gratletters_slide.swiper-slide {
    height: 7.25rem;
}
.gratletters_slide_image {
    height: 100%;
    text-align: center;
    font-size: 0;
}
.gratletters_slide_image img {
    transition: all 0.3s ease;
}
.gratletters_slide_image:hover img {
    transform: scale(1.5);
    transform-origin: center;
    box-shadow: 0 0 0.5rem #0c5bd1;
}


/* ЛОГОТИПЫ КЛИЕНТОВ - общее */
.cllogos_slider .swiper-pagination {
    margin-top: 1.375rem;
    margin-bottom: 0.625rem;
}
.cllogos_slide.swiper-slide {
    height: 7.25rem;
}
.cllogos_slide img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
    filter: saturate(0) brightness(0.8) opacity(0.8);
}


/* ПРОДВИГАЮЩИЙ ТЕКСТ - секция */


/* ВОПРОСЫ И ОТВЕТЫ - секция */
.faq_item {
    margin-bottom: 0.75rem;
    border-radius: 4px;
    box-shadow: 0 0 6px #0c5bd1;
    overflow: hidden;
    transition: all 0.3s ease;
}
.faq_item:hover {
    box-shadow: 0 0 12px #0c5bd1;
}
.faq_question {
    padding: 0.5rem 1rem;
    background-color: #fff;
    text-align: left;
    font-size: 1.375rem;
    color: #0c5bd1;
    cursor: pointer;
}
.faq_answer {
    height: 0;
    overflow: hidden;
    transition: all 0.5s ease;
}
.faq_answer_wrapper {
    padding: 0.5rem 1rem 1rem;
}
.faq_button_container {
    display: flex;
    justify-content: flex-start;
}


/* СИНЯЯ СЕКЦИЯ С ФОРМОЙ */
.blueform_section {
    background: center / cover no-repeat #0c5bd1 url('../img/blueform-section-background.png');
}
.blueform_title {
    text-align: center;
    color: #fff;
}
.blueform_text {
    margin-bottom: 2.25rem;
    text-align: center;
    font-size: 1.25rem;
    line-height: 1.625rem;
    color: #fff;
}
.blueform_form_container {
    justify-content: center;
    width: 30rem;
    margin: 0 auto;
}
.blueform_form_container .nf-form-content {
    display: grid !important;
    grid-template-areas:
        '. .'
        'nf-agreement nf-agreement';
    grid-template-columns: 50% auto !important;
    grid-column-gap: 1.5rem !important;
    grid-row-gap: 1rem !important;
    align-items: flex-start !important;
}
.blueform_form_container .html-container:has(.form_user_agreement) {
    grid-area: nf-agreement;
}


/* ПЕРЕКЛЮЧАТЕЛЬ ГОРОДОВ */
.region_toggler_container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.region_toggler_container * {
    margin: 0;
}
.region_toggler_heading {
    margin-right: 1rem;
}
.region_toggler_wrapper {
    position: relative;
}
.region_toggler {
    position: relative;
    top: 0;
    left: 0;
    z-index: 2;
    width: max-content;
    border-radius: 4px;
    box-shadow: 0 0 6px #0c5bd1;
    background-color: #fff;
    color: #0c5bd1;
    transition: all 0.3s ease;
    cursor: pointer;
}
.region_toggler:hover {
    box-shadow: 0 0 12px #0c5bd1;
}
.region_toggler_value {
    padding: 0.25rem;
    text-align: center;
    font-weight: bold;
}
.region_toggler_options_container {
    height: 0;
    transition: all 0.5s ease;
    overflow: hidden;
}
.region_toggler_options {
    padding: 0.25em 0 0;
}
.region_toggler_option {
    position: relative;
    padding: 0.25em 0.75em;
    border-top: 1px solid #0c5bd1;
}
.region_toggler_option:hover {
    text-shadow: 1px 0px 0px currentColor;
}
/*.region_toggler_option::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 100%;
    transform: translateY(-50%);
    border-top: 0.5em solid transparent;
    border-bottom: 0.5em solid transparent;
    border-left: 0.5em solid #0c5bd1;
    opacity: 0;
    transition: all 0.3s ease;
}
.region_toggler_option:hover::before {
    right: 95%;
    opacity: 1;
}*/


/* ПОПАПЫ QBPopups - дополнительные стили темы */
/* попапы с формами плагина Ninja Forms */
.nf_form_container .qbpopups_content {
    overflow-y: auto;
}
/* попапы с формой аудита */
.audit_form_container.qbpopups_item {
    --border-thickness: 5px;
    padding: var(--border-thickness);
}
.audit_form_container.qbpopups_item::before {
    content: '';
    display: block;
    position: absolute;
    z-index: 0;
    top: 50%;
    left: 50%;
    padding: 100%;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    transform-origin: center;
    background: linear-gradient(0deg, #000 0%, #007CFF 50%);
}
body.qbpopups_popupped .audit_form_container.qbpopups_item::before {
    animation: form_border_rotate 3s infinite linear;
}
@keyframes form_border_rotate {
    from {transform: translate(-50%, -50%) rotate(0deg);}
    to {transform: translate(-50%, -50%) rotate(360deg);}
}
.audit_form_container .qbpopups_controls {
    top: var(--border-thickness);
    right: var(--border-thickness);
}
.audit_form_container .qbpopups_content {
    display: flex;
    justify-content: flex-start;
    position: relative;
    max-width: unset;
    border-radius: 3px;
    background-color: #fafafa;
}
.audit_form_image {
    width: 20.5rem;
    height: auto;
    font-size: 0;
}
.audit_form_image img {
    width: 100%;
    height: 100%;
}
.audit_form {
    width: 20.5rem;
    padding: var(--controls-bar-height);
}
.nf_sended .audit_form {
    width: 100%;
}
.audit_form_container .audit_form_heading {
    text-align: center;
    font-size: 2em;
    font-weight: 700;
    color: #1e2329;
}


/* NINJA FORMS - дополнительные стили темы  */
/* формы с тёмныйм фоном */
.dark_form_container .nf-form-cont {
    --nf-elems-border-color: #fff;
    --nf-elems-error-color: #e80000;

    --nf-elems-offield-text-color: #fff;
    --nf-elems-offield-links-color: #fff;

    --nf-submit-border-color: #fff;
    --nf-submit-background: #fff;
    --nf-submit-text-color: #0c5bd1;

    --nf-response-text-color: #fff;
    --nf-response-links-color: #fff;
}

/* горизонтально ориентированные формы */
.horizontal_form_container .nf-form-cont {
    width: 100% !important;
}
.horizontal_form_container .nf-after-form-content {
    display: none !important;
}


/* SWIPER - дополнительные стили темы */
.swiper_object_container {
    --swpr-container-paddings-horizontal: 0rem;
    --swpr-arrows-width: 3.25rem;
    --swpr-arrows-shift: -4.25rem;
}
.swiper-button-prev::after,
.swiper-button-next::after {
    border-radius: 50%;
    filter: none;
}
.swiper-button-prev::after {
    background: center / contain no-repeat url('../img/icons/arrow-left-small.png');
}
.swiper-button-next::after {
    background: center / contain no-repeat url('../img/icons/arrow-right-small.png');
}
.swiper-pagination-bullet {
    padding: 0 0.25rem;
}
.swiper-pagination-bullet > div {
    width: 2.125rem;
    height: 0.325rem;
    border-radius: 99px;
    background-color: #e2e4e8;
    filter: none;
    opacity: 1;
}
.swiper-pagination-bullet-active > div {
    background-color: #258aff;
}